#include "chdecl.h"
void CH_shell(current, sched, cop)
#define ARGUMENTS 8
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto cb5;
    case 4: goto c6;
    case 5: goto cb9;
    case 6: goto c10;
    case 7: goto cb13;
    case 8: goto c14;
    case 9: goto cb17;
    case 10: goto c18;
    case 11: goto cb20;
    case 12: goto c21;
    case 13: goto cb36;
    case 14: goto c37;
    case 15: goto cb39;
    case 16: goto c40;
    case 17: goto c51;
    case 18: goto c53;
    case 19: goto c54;
    case 20: goto cb58;
    case 21: goto c59;
    case 22: goto c60;
    case 23: goto cb61;
    case 24: goto c62;
    case 25: goto c63;
    case 26: goto cb80;
    case 27: goto c81;
    case 28: goto c82;
    case 29: goto c84;
    case 30: goto c85;
    case 31: goto c87;
    case 32: goto c95;
    case 33: goto cb111;
    case 34: goto c112;
    case 35: goto c119;
    case 36: goto c124;
    case 37: goto c141;
    case 38: goto c151;
    case 39: goto c178;
    case 40: goto c187;
    case 41: goto cb203;
    case 42: goto c204;
    case 43: goto c206;
    case 44: goto c223;
    case 45: goto c226;
    case 46: goto c228;
    case 47: goto cb229;
    case 48: goto c230;
    case 49: goto cb233;
    case 50: goto c234;
    case 51: goto c236;
    case 52: goto cb237;
    case 53: goto c238;
    case 54: goto c239;
    case 55: goto cb240;
    case 57: goto c242;
    case 58: goto cb243;
    case 59: goto c244;
    case 60: goto c245;
    case 61: goto cb246;
    case 63: goto c248;
    case 64: goto cb249;
    case 65: goto c250;
    case 66: goto c251;
    case 67: goto cb252;
    case 69: goto c255;
    case 70: goto cb259;
    case 71: goto c260;
    case 72: goto c261;
    case 73: goto cb262;
    case 68: goto c263;
    case 62: goto c263;
    case 56: goto c263;
    case 74: goto c263;
    case 75: goto c273;
    case 76: goto c276;
    case 77: goto c278;
    case 78: goto cb279;
    case 79: goto c280;
    case 80: goto c288;
    case 81: goto c291;
    case 82: goto cb299;
    case 83: goto c300;
    case 84: goto c301;
    case 85: goto c304;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* chs_lit 4 , "pathLoad" */
  if( !chs_lit(DEF(4),"pathLoad") ) goto ch_depletion;
/* chs_lit 5 , "" */
  if( !chs_lit(DEF(5),"") ) goto ch_depletion;
  current->ip = 3;
cb5:
/* call 3.2.2 4 5 6 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(4),
          arguments[2] = DEF(5),
          arguments[3] = DEF(6),
          arguments[3+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c6:
/* unwrap 7 6 , 3 */
  if ((ch_returncode = che_unwrap(DEF(7),DEF(6),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 8 , "environ" */
  if( !chs_lit(DEF(8),"environ") ) goto ch_depletion;
/* chs_lit 9 , "" */
  if( !chs_lit(DEF(9),"") ) goto ch_depletion;
  current->ip = 5;
cb9:
/* call 3.2.2 8 9 10 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(8),
          arguments[2] = DEF(9),
          arguments[3] = DEF(10),
          arguments[3+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c10:
/* unwrap 11 10 , 4 */
  if ((ch_returncode = che_unwrap(DEF(11),DEF(10),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 12 , "getCwd" */
  if( !chs_lit(DEF(12),"getCwd") ) goto ch_depletion;
/* chs_lit 13 , "" */
  if( !chs_lit(DEF(13),"") ) goto ch_depletion;
  current->ip = 7;
cb13:
/* call 3.2.2 12 13 14 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(12),
          arguments[2] = DEF(13),
          arguments[3] = DEF(14),
          arguments[3+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c14:
/* unwrap 15 14 , 5 */
  if ((ch_returncode = che_unwrap(DEF(15),DEF(14),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 16 , "setCwd" */
  if( !chs_lit(DEF(16),"setCwd") ) goto ch_depletion;
/* chs_lit 17 , "" */
  if( !chs_lit(DEF(17),"") ) goto ch_depletion;
  current->ip = 9;
cb17:
/* call 3.2.2 16 17 18 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(16),
          arguments[2] = DEF(17),
          arguments[3] = DEF(18),
          arguments[3+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c18:
/* unwrap 19 18 , 6 */
  if ((ch_returncode = che_unwrap(DEF(19),DEF(18),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 20 , "tokenize" */
  if( !chs_lit(DEF(20),"tokenize") ) goto ch_depletion;
  current->ip = 11;
cb20:
/* call 7 20 21 , 7 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(20),
          arguments[2] = DEF(21),
          arguments[2+1] = nil,& arguments[0]),QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
  return;
c21:
/* create 22 21 , 8 */
  if ((ch_returncode = che_create(DEF(22),DEF(21),QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
/* discard 21 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).tsdr = & dr_bottom;
/* move 23 22 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23) = REF(22);
  REF(22).tsdr = & dr_bottom;
/* chs_lit 24 , "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz" */
  if( !chs_lit(DEF(24),"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz"
    ) ) goto ch_depletion;
/* chs_lit 25 , "1234567890!@#$%^&*_+|~-=\\`;:,./?" */
  if( !chs_lit(DEF(25),"1234567890!@#$%^&*_+|~-=\\`;:,./?") )
     goto ch_depletion;
/* concat 26 24 25 */
  if ((ch_returncode = che_concat(DEF(26),DEF(24),DEF(25),sched)) != Normal)
     goto ch_raise_exception;
/* discard 25 */
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).tsdr = & dr_bottom;
/* move 24 26 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24) = REF(26);
  REF(26).tsdr = & dr_bottom;
/* chs_lit 27 , " " */
  if( !chs_lit(DEF(27)," ") ) goto ch_depletion;
/* ordenum_lit 28 , 9 */
  REF(28).value.ord_enum = 9;
  REF(28).tsdr = & dr_ord_enumeration;
/* insert 27 28 */
  if ((ch_returncode = insertfunc(DEF(27),DEF(28),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* chs_lit 29 , "'\"" */
  if( !chs_lit(DEF(29),"'\"") ) goto ch_depletion;
/* chs_lit 30 , "(){}[]<>" */
  if( !chs_lit(DEF(30),"(){}[]<>") ) goto ch_depletion;
  current->ip = 13;
cb36:
/* call 23 24 27 29 30 31 , 9 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(23),
          arguments[1] = DEF(24),
          arguments[2] = DEF(27),
          arguments[3] = DEF(29),
          arguments[4] = DEF(30),
          arguments[5] = DEF(31),
          arguments[5+1] = nil,& arguments[0]),QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
  return;
c37:
/* noop */
  
/* chs_lit 32 , "tokenstrings" */
  if( !chs_lit(DEF(32),"tokenstrings") ) goto ch_depletion;
  current->ip = 15;
cb39:
/* call 7 32 33 , 7 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(32),
          arguments[2] = DEF(33),
          arguments[2+1] = nil,& arguments[0]),QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
  return;
c40:
/* procedure 34 33 , 10 */
  if ((ch_returncode = che_procedure(DEF(34),DEF(33),QUAL(10)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 33 */
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).tsdr = & dr_bottom;
/* move 35 34 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35) = REF(34);
  REF(34).tsdr = & dr_bottom;
/* block , 11 */
  if((ch_returncode = che_block(QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 36 , "HPROMPT" */
  if( !chs_lit(DEF(36),"HPROMPT") ) goto ch_depletion;
/* find 37 11 36 , 0 */
  if (findfunc(DEF(37),DEF(11),(
          arguments[0] = DEF(36),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 38 37 */
  if((ch_returncode = (REF(37).tsdr->copy)(& ch_val, REF(37).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38).value = ch_val;
  REF(38).tsdr = datarepmap[REF(37).tsdr->number];
/* move 39 38.1 */
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  REF(39) = REF(38)DOT(1);
  REF(38)DOT(1).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 53 */
   goto c53;
c51:
/* chs_lit 39 , "shell: " */
  if( !chs_lit(DEF(39),"shell: ") ) goto ch_depletion;
c53:
/* discard 38 */
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38).tsdr = & dr_bottom;
c54:
/* discard 40 */
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(40).tsdr = & dr_bottom;
/* block , 12 */
  if((ch_returncode = che_block(QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 20;
cb58:
/* call 3.1.0 39 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(39),
          arguments[1+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c59:
/* call 3.1.2 41 , 14 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(2),
          arguments[1] = DEF(41),
          arguments[1+1] = nil,& arguments[0]),QUAL(14),sched)) != Normal)
     goto ch_raise_exception;
  return;
c60:
/* move 40 41 */
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(40) = REF(41);
  REF(41).tsdr = & dr_bottom;
  current->ip = 23;
cb61:
/* call 31 40 42 , 15 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(31),
          arguments[1] = DEF(40),
          arguments[2] = DEF(42),
          arguments[2+1] = nil,& arguments[0]),QUAL(15),sched)) != Normal)
     goto ch_raise_exception;
  return;
c62:
/* call 35 42 43 , 16 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(35),
          arguments[1] = DEF(42),
          arguments[2] = DEF(43),
          arguments[2+1] = nil,& arguments[0]),QUAL(16),sched)) != Normal)
     goto ch_raise_exception;
  return;
c63:
/* move 44 43 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44) = REF(43);
  REF(43).tsdr = & dr_bottom;
/* lookup_at 45 44 =(0) */
  if ( !((ch_t = REF(44).value.table)->size) ) goto ch_notfound;
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(45).value,0);
  REF(45).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 46 45 */
  if((ch_returncode = cp_table(& ch_val, REF(45).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).value = ch_val;
  REF(46).tsdr = & dr_table;
/* chs_lit 47 , "shell" */
  if( !chs_lit(DEF(47),"shell") ) goto ch_depletion;
/* insert_at 44 47 =(0) */
  if ((ch_returncode = insertfunc(DEF(44),DEF(47),TRUE, 0)) != Normal)
     goto ch_raise_exception;
/* chs_lit 48 , "pwd" */
  if( !chs_lit(DEF(48),"pwd") ) goto ch_depletion;
/* equal 49 46 48 */
  REF(49).value.boolean = (eq_table(REF(46).value,REF(48).value));
  REF(49).tsdr = & dr_boolean;
/* chs_lit 50 , "cd" */
  if( !chs_lit(DEF(50),"cd") ) goto ch_depletion;
/* equal 51 46 50 */
  REF(51).value.boolean = (eq_table(REF(46).value,REF(50).value));
  REF(51).tsdr = & dr_boolean;
/* chs_lit 52 , "exit" */
  if( !chs_lit(DEF(52),"exit") ) goto ch_depletion;
/* equal . 46 52 , 226 */
  if ( eq_table(REF(46).value,REF(52).value) ) goto c226;
/* select * 49 * 51 , {79,87} */
  if ( REF(49).value.boolean ) goto c79;
  if ( REF(51).value.boolean ) goto c87;
/* branch , 228 */
   goto c228;
c79:
/* block , 17 */
  if((ch_returncode = che_block(QUAL(17),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 26;
cb80:
/* call 15 53 , 18 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(15),
          arguments[1] = DEF(53),
          arguments[1+1] = nil,& arguments[0]),QUAL(18),sched)) != Normal)
     goto ch_raise_exception;
  return;
c81:
/* call 3.1.1 53 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(53),
          arguments[1+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c82:
/* endblock */
  che_endblock(sched);
/* branch , 85 */
   goto c85;
c84:
/* discard 53 */
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53).tsdr = & dr_bottom;
c85:
/* discard 53 */
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53).tsdr = & dr_bottom;
/* branch , 273 */
   goto c273;
c87:
/* block , 19 */
  if((ch_returncode = che_block(QUAL(19),sched)) != Normal)
     goto ch_raise_exception;
/* lookup_at 54 44 =(2) */
  if (2 >= (ch_t = REF(44).value.table)->size) goto ch_notfound;
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(54).value,2);
  REF(54).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 55 54 */
  if((ch_returncode = cp_table(& ch_val, REF(54).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).value = ch_val;
  REF(55).tsdr = & dr_table;
/* new_table 56 , 20 */
  if ((ch_returncode = che_new_table(DEF(56),QUAL(20),sched)) != Normal) 
     goto ch_raise_exception;
/* privatize 55 */
  if (REF(55).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(55))) != Normal)
       goto ch_raise_exception;
/* initget 57 55 , 0,0 */
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(57),DEF(55),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c95:
/* get_or_goto 57 55 , 102 */
  if ((ch_returncode = get_selected_object(DEF(57),DEF(55),sched)) != Normal)
     goto c102;
/* equal . 57 =(32) , 95 */
  if ( REF(57).value.ord_enum == 32 ) goto c95;
/* remove 58 57 55 */
  if ((ch_returncode = che_remove(DEF(58),DEF(57),DEF(55),sched)) != Normal)
     goto ch_raise_exception;
/* insert 56 58 */
  if ((ch_returncode = insertfunc(DEF(56),DEF(58),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 95 */
   goto c95;
c102:
/* endget 57 55 */
  end_selector(DEF(57),DEF(55),sched,GET);
/* boolean 59 , FALSE */
  REF(59).value.boolean = FALSE;
  REF(59).tsdr = & dr_boolean;
/* lookup_at_or_goto 60 56 =(0) , 110 */
  if ( !((ch_t = REF(56).value.table)->size) ) goto c110;
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(60).value,0);
  REF(60).tsdr = qdatarepmap[ch_t->tsdr->number];
/* equal . 60 =(47) , 110 */
  if ( REF(60).value.ord_enum == 47 ) goto c110;
/* boolean 59 , TRUE */
  REF(59).value.boolean = TRUE;
  REF(59).tsdr = & dr_boolean;
c110:
/* branch_false 59 , 119 */
  if ( !REF(59).value.boolean ) goto c119;
  current->ip = 33;
cb111:
/* call 15 61 , 18 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(15),
          arguments[1] = DEF(61),
          arguments[1+1] = nil,& arguments[0]),QUAL(18),sched)) != Normal)
     goto ch_raise_exception;
  return;
c112:
/* chs_lit 62 , "/" */
  if( !chs_lit(DEF(62),"/") ) goto ch_depletion;
/* concat 63 61 62 */
  if ((ch_returncode = che_concat(DEF(63),DEF(61),DEF(62),sched)) != Normal)
     goto ch_raise_exception;
/* discard 61 */
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61).tsdr = & dr_bottom;
/* discard 62 */
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62).tsdr = & dr_bottom;
/* concat 64 63 56 */
  if ((ch_returncode = che_concat(DEF(64),DEF(63),DEF(56),sched)) != Normal)
     goto ch_raise_exception;
/* discard 63 */
  (*(REF(63).tsdr)->finalize)(REF(63).value,F_DISCARD,sched);
  REF(63).tsdr = & dr_bottom;
/* move 56 64 */
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  REF(56) = REF(64);
  REF(64).tsdr = & dr_bottom;
c119:
/* chs_lit 65 , "/" */
  if( !chs_lit(DEF(65),"/") ) goto ch_depletion;
/* concat 66 56 65 */
  if ((ch_returncode = che_concat(DEF(66),DEF(56),DEF(65),sched)) != Normal)
     goto ch_raise_exception;
/* discard 65 */
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65).tsdr = & dr_bottom;
/* move 56 66 */
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  REF(56) = REF(66);
  REF(66).tsdr = & dr_bottom;
/* new_table 67 , 21 */
  if ((ch_returncode = che_new_table(DEF(67),QUAL(21),sched)) != Normal) 
     goto ch_raise_exception;
c124:
/* discard 55 */
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).tsdr = & dr_bottom;
/* size 68 56 */
  REF(68).value.integer = REF(56).value.table->size;
  REF(68).tsdr = & dr_integer;
/* equal . 68 =(0) , 178 */
  if ( REF(68).value.integer == 0 ) goto c178;
/* lookup_at 69 56 =(0) */
  if ( !((ch_t = REF(56).value.table)->size) ) goto ch_notfound;
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(69).value,0);
  REF(69).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 70 69 */
  REF(70) = REF(69);
/* notequal . 70 =(47) , 140 */
  if ( REF(70).value.ord_enum != 47 ) goto c140;
/* privatize 56 */
  if (REF(56).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(56))) != Normal)
       goto ch_raise_exception;
/* lookup_at 71 56 =(0) */
  if ( !((ch_t = REF(56).value.table)->size) ) goto ch_notfound;
  (*(REF(71).tsdr)->finalize)(REF(71).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(71).value,0);
  REF(71).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 72 56 =(0) */
  if ((ch_returncode = remove_at_func(DEF(72),DEF(56),0)) != Normal)
     goto ch_raise_exception;
/* branch , 124 */
   goto c124;
c140:
/* initget 73 56 , 0,0 */
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(73),DEF(56),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c141:
/* get_or_err 73 56 */
  if ((ch_returncode = get_selected_object(DEF(73),DEF(56),sched)) != Normal)
     goto ch_raise_exception;
/* notequal . 73 =(47) , 141 */
  if ( REF(73).value.ord_enum != 47 ) goto c141;
/* position 74 73 */
  ch_frame = get_selector_frame(DEF(73),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(74).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(74).tsdr = &dr_integer;
/* endget 73 56 */
  end_selector(DEF(73),DEF(56),sched,GET);
/* move 75 74 */
  REF(75) = REF(74);
  REF(74).tsdr = & dr_bottom;
/* new_table 55 , 20 */
  if ((ch_returncode = che_new_table(DEF(55),QUAL(20),sched)) != Normal) 
     goto ch_raise_exception;
/* privatize 56 */
  if (REF(56).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(56))) != Normal)
       goto ch_raise_exception;
/* initget 76 56 , 0,0 */
  (*(REF(76).tsdr)->finalize)(REF(76).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(76),DEF(56),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c151:
/* get_or_goto 76 56 , 158 */
  if ((ch_returncode = get_selected_object(DEF(76),DEF(56),sched)) != Normal)
     goto c158;
/* position 77 76 */
  ch_frame = get_selector_frame(DEF(76),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(77).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(77).tsdr = &dr_integer;
/* ige . 77 75 , 151 */
  if ( REF(77).value.integer >= REF(75).value.integer ) goto c151;
/* remove 78 76 56 */
  if ((ch_returncode = che_remove(DEF(78),DEF(76),DEF(56),sched)) != Normal)
     goto ch_raise_exception;
/* insert 55 78 */
  if ((ch_returncode = insertfunc(DEF(55),DEF(78),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 151 */
   goto c151;
c158:
/* endget 76 56 */
  end_selector(DEF(76),DEF(56),sched,GET);
/* chs_lit 79 , "." */
  if( !chs_lit(DEF(79),".") ) goto ch_depletion;
/* notequal 80 55 79 */
  REF(80).value.boolean = (!eq_table(REF(55).value,REF(79).value));
  REF(80).tsdr = & dr_boolean;
/* discard 79 */
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  REF(79).tsdr = & dr_bottom;
/* branch_false 80 , 176 */
  if ( !REF(80).value.boolean ) goto c176;
/* chs_lit 81 , ".." */
  if( !chs_lit(DEF(81),"..") ) goto ch_depletion;
/* equal 82 55 81 */
  REF(82).value.boolean = (eq_table(REF(55).value,REF(81).value));
  REF(82).tsdr = & dr_boolean;
/* discard 81 */
  (*(REF(81).tsdr)->finalize)(REF(81).value,F_DISCARD,sched);
  REF(81).tsdr = & dr_bottom;
/* branch_false 82 , 174 */
  if ( !REF(82).value.boolean ) goto c174;
/* privatize 67 */
  if (REF(67).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(67))) != Normal)
       goto ch_raise_exception;
/* size 83 67 */
  REF(83).value.integer = REF(67).value.table->size;
  REF(83).tsdr = & dr_integer;
/* isubtract 84 83 =(1) */
  if (!chf_isubtract(DEF(84),REF(83).value.integer,1)) goto ch_depletion;
/* lookup_at 85 67 84 */
  if((ch_i = REF(84).value.integer) < 0 || ch_i >= (ch_t = REF(67).value
    .table)->size) goto ch_notfound;
  (*(REF(85).tsdr)->finalize)(REF(85).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(85).value,ch_i);
  REF(85).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 55 67 84 */
  if ((ch_returncode = remove_at_func(DEF(55),DEF(67),REF(84).value.integer
    )) != Normal) goto ch_raise_exception;
/* branch , 175 */
   goto c175;
c174:
/* insert 67 55 */
  if ((ch_returncode = insertfunc(DEF(67),DEF(55),FALSE,0)) != Normal)
     goto ch_raise_exception;
c175:
/* discard 55 */
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).tsdr = & dr_bottom;
c176:
/* discard 55 */
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).tsdr = & dr_bottom;
/* branch , 124 */
   goto c124;
c178:
/* size 86 67 */
  REF(86).value.integer = REF(67).value.table->size;
  REF(86).tsdr = & dr_integer;
/* notequal . 86 =(0) , 185 */
  if ( REF(86).value.integer != 0 ) goto c185;
/* chs_lit 56 , "/" */
  if( !chs_lit(DEF(56),"/") ) goto ch_depletion;
/* branch , 203 */
   goto c203;
c185:
/* chs_lit 56 , "" */
  if( !chs_lit(DEF(56),"") ) goto ch_depletion;
c187:
/* discard 55 */
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).tsdr = & dr_bottom;
/* size 87 67 */
  REF(87).value.integer = REF(67).value.table->size;
  REF(87).tsdr = & dr_integer;
/* equal . 87 =(0) , 203 */
  if ( REF(87).value.integer == 0 ) goto c203;
/* privatize 67 */
  if (REF(67).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(67))) != Normal)
       goto ch_raise_exception;
/* lookup_at 88 67 =(0) */
  if ( !((ch_t = REF(67).value.table)->size) ) goto ch_notfound;
  (*(REF(88).tsdr)->finalize)(REF(88).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(88).value,0);
  REF(88).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 55 67 =(0) */
  if ((ch_returncode = remove_at_func(DEF(55),DEF(67),0)) != Normal)
     goto ch_raise_exception;
/* chs_lit 89 , "/" */
  if( !chs_lit(DEF(89),"/") ) goto ch_depletion;
/* concat 90 56 89 */
  if ((ch_returncode = che_concat(DEF(90),DEF(56),DEF(89),sched)) != Normal)
     goto ch_raise_exception;
/* discard 89 */
  (*(REF(89).tsdr)->finalize)(REF(89).value,F_DISCARD,sched);
  REF(89).tsdr = & dr_bottom;
/* concat 91 90 55 */
  if ((ch_returncode = che_concat(DEF(91),DEF(90),DEF(55),sched)) != Normal)
     goto ch_raise_exception;
/* discard 90 */
  (*(REF(90).tsdr)->finalize)(REF(90).value,F_DISCARD,sched);
  REF(90).tsdr = & dr_bottom;
/* move 56 91 */
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  REF(56) = REF(91);
  REF(91).tsdr = & dr_bottom;
/* branch , 187 */
   goto c187;
c203:
  current->ip = 41;
cb203:
/* call 19 56 , 22 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(19),
          arguments[1] = DEF(56),
          arguments[1+1] = nil,& arguments[0]),QUAL(22),sched)) != Normal)
     goto ch_raise_exception;
  return;
c204:
/* endblock */
  che_endblock(sched);
/* branch , 223 */
   goto c223;
c206:
/* discard 56 */
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  REF(56).tsdr = & dr_bottom;
/* discard 55 */
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).tsdr = & dr_bottom;
/* discard 67 */
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).tsdr = & dr_bottom;
/* discard 61 */
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61).tsdr = & dr_bottom;
/* discard 62 */
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62).tsdr = & dr_bottom;
/* discard 63 */
  (*(REF(63).tsdr)->finalize)(REF(63).value,F_DISCARD,sched);
  REF(63).tsdr = & dr_bottom;
/* discard 64 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).tsdr = & dr_bottom;
/* discard 65 */
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65).tsdr = & dr_bottom;
/* discard 66 */
  (*(REF(66).tsdr)->finalize)(REF(66).value,F_DISCARD,sched);
  REF(66).tsdr = & dr_bottom;
/* discard 79 */
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  REF(79).tsdr = & dr_bottom;
/* discard 81 */
  (*(REF(81).tsdr)->finalize)(REF(81).value,F_DISCARD,sched);
  REF(81).tsdr = & dr_bottom;
/* discard 89 */
  (*(REF(89).tsdr)->finalize)(REF(89).value,F_DISCARD,sched);
  REF(89).tsdr = & dr_bottom;
/* discard 90 */
  (*(REF(90).tsdr)->finalize)(REF(90).value,F_DISCARD,sched);
  REF(90).tsdr = & dr_bottom;
/* discard 91 */
  (*(REF(91).tsdr)->finalize)(REF(91).value,F_DISCARD,sched);
  REF(91).tsdr = & dr_bottom;
c223:
/* discard 56 */
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  REF(56).tsdr = & dr_bottom;
/* discard 67 */
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).tsdr = & dr_bottom;
/* branch , 273 */
   goto c273;
c226:
/* exit , 23 */
  ch_e = handler_type__exit; ch_val = QUAL(23); goto ch_exception;
c228:
/* block , 24 */
  if((ch_returncode = che_block(QUAL(24),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 47;
cb229:
/* call 7 46 92 , 7 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(46),
          arguments[2] = DEF(92),
          arguments[2+1] = nil,& arguments[0]),QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
  return;
c230:
/* create 93 92 , 25 */
  if ((ch_returncode = che_create(DEF(93),DEF(92),QUAL(25),sched)) != Normal)
     goto ch_raise_exception;
/* discard 92 */
  (*(REF(92).tsdr)->finalize)(REF(92).value,F_DISCARD,sched);
  REF(92).tsdr = & dr_bottom;
/* move 94 93 */
  (*(REF(94).tsdr)->finalize)(REF(94).value,F_DISCARD,sched);
  REF(94) = REF(93);
  REF(93).tsdr = & dr_bottom;
  current->ip = 49;
cb233:
/* call 94 44 3.1 3.2 , 26 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(94),
          arguments[1] = DEF(44),
          arguments[2] = DEF(3)DOT(1),
          arguments[3] = DEF(3)DOT(2),
          arguments[3+1] = nil,& arguments[0]),QUAL(26),sched)) != Normal)
     goto ch_raise_exception;
  return;
c234:
/* endblock */
  che_endblock(sched);
/* branch , 263 */
   goto c263;
c236:
/* chs_lit 95 , "Module '" */
  if( !chs_lit(DEF(95),"Module '") ) goto ch_depletion;
  current->ip = 52;
cb237:
/* call 3.1.0 95 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(95),
          arguments[1+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c238:
/* call 3.1.0 46 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(46),
          arguments[1+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c239:
/* chs_lit 96 , "' is not a main program." */
  if( !chs_lit(DEF(96),"' is not a main program.") ) goto ch_depletion;
  current->ip = 55;
cb240:
/* call 3.1.1 96 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(96),
          arguments[1+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c242:
/* chs_lit 97 , "Can't find '" */
  if( !chs_lit(DEF(97),"Can't find '") ) goto ch_depletion;
  current->ip = 58;
cb243:
/* call 3.1.0 97 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(97),
          arguments[1+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c244:
/* call 3.1.0 46 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(46),
          arguments[1+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c245:
/* chs_lit 98 , "'." */
  if( !chs_lit(DEF(98),"'.") ) goto ch_depletion;
  current->ip = 61;
cb246:
/* call 3.1.1 98 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(98),
          arguments[1+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c248:
/* chs_lit 99 , "Can't load '" */
  if( !chs_lit(DEF(99),"Can't load '") ) goto ch_depletion;
  current->ip = 64;
cb249:
/* call 3.1.0 99 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(99),
          arguments[1+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c250:
/* call 3.1.0 46 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(46),
          arguments[1+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c251:
/* chs_lit 100 , "'." */
  if( !chs_lit(DEF(100),"'.") ) goto ch_depletion;
  current->ip = 67;
cb252:
/* call 3.1.1 100 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(100),
          arguments[1+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c255:
/* discard 94 */
  (*(REF(94).tsdr)->finalize)(REF(94).value,F_DISCARD,sched);
  REF(94).tsdr = & dr_bottom;
/* discard 92 */
  (*(REF(92).tsdr)->finalize)(REF(92).value,F_DISCARD,sched);
  REF(92).tsdr = & dr_bottom;
/* discard 93 */
  (*(REF(93).tsdr)->finalize)(REF(93).value,F_DISCARD,sched);
  REF(93).tsdr = & dr_bottom;
/* chs_lit 101 , "Can't run '" */
  if( !chs_lit(DEF(101),"Can't run '") ) goto ch_depletion;
  current->ip = 70;
cb259:
/* call 3.1.0 101 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(101),
          arguments[1+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c260:
/* call 3.1.0 46 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(46),
          arguments[1+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c261:
/* chs_lit 102 , "' -- reason unknown." */
  if( !chs_lit(DEF(102),"' -- reason unknown.") ) goto ch_depletion;
  current->ip = 73;
cb262:
/* call 3.1.1 102 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(102),
          arguments[1+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c253:
c247:
c241:
c263:
/* discard 94 */
  (*(REF(94).tsdr)->finalize)(REF(94).value,F_DISCARD,sched);
  REF(94).tsdr = & dr_bottom;
/* discard 92 */
  (*(REF(92).tsdr)->finalize)(REF(92).value,F_DISCARD,sched);
  REF(92).tsdr = & dr_bottom;
/* discard 97 */
  (*(REF(97).tsdr)->finalize)(REF(97).value,F_DISCARD,sched);
  REF(97).tsdr = & dr_bottom;
/* discard 98 */
  (*(REF(98).tsdr)->finalize)(REF(98).value,F_DISCARD,sched);
  REF(98).tsdr = & dr_bottom;
/* discard 99 */
  (*(REF(99).tsdr)->finalize)(REF(99).value,F_DISCARD,sched);
  REF(99).tsdr = & dr_bottom;
/* discard 100 */
  (*(REF(100).tsdr)->finalize)(REF(100).value,F_DISCARD,sched);
  REF(100).tsdr = & dr_bottom;
/* discard 95 */
  (*(REF(95).tsdr)->finalize)(REF(95).value,F_DISCARD,sched);
  REF(95).tsdr = & dr_bottom;
/* discard 96 */
  (*(REF(96).tsdr)->finalize)(REF(96).value,F_DISCARD,sched);
  REF(96).tsdr = & dr_bottom;
/* discard 101 */
  (*(REF(101).tsdr)->finalize)(REF(101).value,F_DISCARD,sched);
  REF(101).tsdr = & dr_bottom;
/* discard 102 */
  (*(REF(102).tsdr)->finalize)(REF(102).value,F_DISCARD,sched);
  REF(102).tsdr = & dr_bottom;
c273:
/* endblock */
  che_endblock(sched);
/* branch , 280 */
   goto c280;
c276:
/* exit , 23 */
  ch_e = handler_type__exit; ch_val = QUAL(23); goto ch_exception;
c278:
/* chs_lit 103 , "Invalid command syntax" */
  if( !chs_lit(DEF(103),"Invalid command syntax") ) goto ch_depletion;
  current->ip = 78;
cb279:
/* call 3.1.1 103 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(103),
          arguments[1+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c280:
/* discard 46 */
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).tsdr = & dr_bottom;
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
/* discard 42 */
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  REF(42).tsdr = & dr_bottom;
/* discard 52 */
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).tsdr = & dr_bottom;
/* discard 50 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).tsdr = & dr_bottom;
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* discard 103 */
  (*(REF(103).tsdr)->finalize)(REF(103).value,F_DISCARD,sched);
  REF(103).tsdr = & dr_bottom;
/* branch , 54 */
   goto c54;
c288:
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 301 */
   goto c301;
c291:
/* discard 40 */
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(40).tsdr = & dr_bottom;
/* discard 46 */
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).tsdr = & dr_bottom;
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
/* discard 42 */
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  REF(42).tsdr = & dr_bottom;
/* discard 52 */
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).tsdr = & dr_bottom;
/* discard 50 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).tsdr = & dr_bottom;
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* chs_lit 104 , "^D" */
  if( !chs_lit(DEF(104),"^D") ) goto ch_depletion;
  current->ip = 82;
cb299:
/* call 3.1.1 104 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(104),
          arguments[1+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c300:
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
c301:
/* discard 104 */
  (*(REF(104).tsdr)->finalize)(REF(104).value,F_DISCARD,sched);
  REF(104).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c304:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
